Skip to main content
GET
Retrieves a bill of materials item by its ID.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Scopes

pps.read
oauth2-authorization-code

Grants permission to read production data.

pps.read
oauth2-client-credentials

Grants permission to read production data.

Headers

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

Path Parameters

id
string<uuid>
required
Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

Response

A bill of materials item.

billOfMaterialsComponentProperties
object
required

This bill of material item's properties common for all bill of materials components.

billOfMaterialsChildComponentProperties
object
required

This bill of material item's properties common for all bill of materials child components.

billOfMaterialsItemProperties
object
required

This bill of material item's properties.